@charset "utf-8";
@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;600;700;800;900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Manrope:wght@200;300;400;500;600;700;800&display=swap");

:root {
    --c0: #015278;
    --c1: #287ba1;
    --c2: #e6e3e0;
    --c3: #ffffff;
    --c4: #222222;
    --c5: #333333;
}

* {
    margin: 0;
    padding: 0;
    text-rendering: optimizeLegibility !important;
    -webkit-font-smoothing: antialiased !important;
}

body {
    font-family: "Manrope", sans-serif;
    color: #222;
    height: 100vh;
    margin: 0 auto;
}

h2 {
    color: var(--c5);
    font-weight: 800;
}

.flexblock {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}

.flexcenter {
    width: 100%;
    display: block;
    position: relative;
}

.mobileshow {
    display: none;
}

.signup {
    display: inline-block;
    margin: 0.5em 1em;
    margin-left: 0;
    background: var(--c0);
    color: var(--c3);
    padding: 1em 3em;
    cursor: pointer;
    transition: all 0.4s ease;
    border-radius: 3em;
    text-decoration: none;
}

.signup:hover {
    background: var(--c1);
}

#main {
    clear: both;
    overflow: hidden;
    width: 100%;
    background: var(--c2);
}
.imgmain {
    width: 100%;
    display: block;
    border-radius: 50%;
}

#main h1 {
    font-weight: 700;
    font-size: 3.3em;
    margin-bottom: 4vh;
    line-height: 100%;
}

#preim {
    position: relative;
    font-size: 1.2em;
    font-weight: 600;
}

.preim i {
    color: var(--c1);
    margin-right: 1em;
}

.plimg {
    width: 100%;
    margin-bottom: 2em;
}

.lb-gallery {
    width: 24%;
    margin: 0.5%;
    aspect-ratio: 1/1;
    min-height: 120px;
    background-position: center !important;
    background-size: cover !important;
    transition: all 0.4s ease-in-out;
    position: relative;
    display: block;
    float: left;
}

.lb-gallery:hover {
    transform: translateY(-0.5em);
}

#footer {
    position: relative;
    clear: both;
    overflow: hidden;
    color: var(--c2);
    background: var(--c4);
    padding: 5vh 0;
    margin-top: 5vh;
}

.footerlink {
    font-size: 1.2em;
    color: var(--c3);
}

@media only screen and (max-width: 991px) {
    .mobileshow {
        display: block !important;
    }

    .mobilehide {
        display: none !important;
    }

    .plitka,
    .preim {
        padding-bottom: 0 !important;
    }

    #portfolio {
        margin-top: 3vh;
    }

    #footer {
        margin-top: 0;
    }
}

@media only screen and (max-width: 470px) {
    .lb-gallery {
        width: 32.33%;
        margin: 0.5%;
    }

    #main-album {
        padding: 2em 0 !important;
        padding-bottom: 0 !important;
    }

    h1 {
        font-size: 2.3em !important;
    }

    h5 {
        font-size: 1.1em;
    }
}

@media only screen and (max-width: 350px) {
    body {
        font-size: 0.85em;
    }
}
